package com.loafle.overflow.module.sensor.dao;

import com.loafle.overflow.module.sensor.model.Sensor;
import com.loafle.overflow.module.sensor.model.SensorItem;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by root on 17. 6. 9.
 */
@Repository
public interface SensorItemDAO extends JpaRepository<SensorItem, Long> {
    List<SensorItem> findAllBySensor(Sensor sensor, Pageable pageable);
}
